<template>
  <a-card :bordered="false">
    <a-row type="flex" :gutter="16">
      <a-col :md="5">
        <ProductStructureTree/>
      </a-col>
      <a-col :md="19">
        <ProductStructureMain/>
      </a-col>
    </a-row>

    <!--导入文件公共弹窗-->
    <ImportFileModal/>

    <!--新增或编辑设备类公共弹窗-->
    <DeviceCustomTypeModal/>
  </a-card>
</template>

<script>
import ProductStructureTree from './modules/ProductStructure/ProductStructureTree'
import ProductStructureMain from './modules/ProductStructure/ProductStructureMain'
import ImportFileModal from '../common/ImportFileModal'
import DeviceCustomTypeModal from '@views/dnc/base/modules/ProductStructure/DeviceCustomType/DeviceCustomTypeModal.vue'

export default {
  name: 'ProductStructure',
  components: {
    DeviceCustomTypeModal,
    ProductStructureTree,
    ProductStructureMain,
    ImportFileModal
  },
  data() {
    return {}
  },
  methods: {}
}
</script>

<style scoped lang="less">
/deep/ .ant-card-body {
  padding: 8px;
}
</style>